#!/usr/bin/perl -w

  ## This is the main configuration file of the Network Traffic Analyzer
  ## This script is run with the perl processor, co if you edit it,
  ##   please remember on it. Variables here are perl hashes with
  ##   key => value lines separated by a ',' character.

  use strict;

  ## Network devices to observe, add here as many existing devices as you
  ##   want, the format is:
  ##   'device_name' => 'Device description',

  %netdevices=(
    'eth0'             => 'Internet connection',
  );


  ## Some usefull configuration variables

  %config=(
    ## Ouput directory
    'output_dir'       => '/var/www/nta',

    ## Name of the index file (wath DirectoryIndex by Apache)
    ##   !! Without extension !!
    'output_index'     => 'index',

    ## Extension of html files (with dot)
    'output_ext'       => '.html',

    ## Show host informations in the index page ('0' = no, '1' = yes)
    'output_hostinfo'  => 1,

    ## ShowIP address or MAC address of network device ('0' = no, '1' = yes)
    'output_ip'         => 1,
    'output_mac'        => 1,

    ## Text stats tables HTML tags
    'output_ttag_table'=> 'border="1" cellpadding="3" cellspacing="0"',
    'output_ttag_throw'=> 'bgcolor="#eeeeee"',

    ## How many months back should be shown in the Main statistics
    'show_back_main'   => 12,

    ## How many hours back should be shown on the Hourly graph
    ##   Set to '0' if this graphs should not be generated
    ##   One step means 5 minutes
    'show_back_hour'   => 24,

    ## How many days back should be shown on the Daily graph
    ##   Set to '0' if this graphs should not be generated
    ##   One step means 30 minutes
    'show_back_day'    => 7,

    ## How many weeks back should be shown on the Weekly graph
    ##   Set to '0' if this graphs should not be generated
    ##   One step means 2 hours
    'show_back_week'   => 4,

    ## How many months back should be shown on the Monthly graph
    ##   Set to '0' if this graphs should not be generated
    ##   One step means 12 hours
    'show_back_month'  => 6,

    ## Should the bandwidth be count in bits per second (set to '1')
    ##   or bytes per second (set to '0')
    'graph_bits'       => 1,

    ## Graph order: from left to right (set to '0') or from right to
    ##   left (set to '1')
    'graph_switch'     => 0,

    ## Graph color of IN traffic (in RGB mode, HTML style)
    'graph_color_in'   => '#ff0000',

    ## Graph color of OUT traffic (in RGB mode, HTML style)
    'graph_color_out'  => '#0000ff',

    ## Graph background color (in RGB mode, HTML style)
    'graph_color_bg'   => '#ffffff',

    ## Graph text and border color (in RGB mode, HTML style)
    'graph_color_text' => '#000000',

    ## Graph description background color (in RGB mode, HTML style)
    'graph_color_descr'=> '#eeeeee',

    ## Graph half line color (in RGB mode, HTML style)
    'graph_color_half' => '#dddddd',

    ## Path to 'cp' binary
    'bin_cp'           => '/bin/cp',

    ## Full path to 'ifconfig' binary
    'bin_ifconfig'     => '/sbin/ifconfig',

    ## Full path to 'hostname' binary
    'bin_hostname'     => '/bin/hostname',

    ## Full path to /proc filesystem, better leave untouched ;-)
    'proc_netdev'      => '/proc/net/dev',
    'proc_uname'       => '/proc/version',
    'proc_uptime'      => '/proc/uptime',

    ## Filename of HTML files header template
    'template_header'  => '/var/lib/nta/templates/header.html',

    ## Filename of HTML files footer template
    'template_footer'  => '/var/lib/nta/templates/footer.html',

    ## Special NTA table ;-)) templates
    ##   NTA generates special tables for its statistics,
    ##   which have a simple nice colored topic and the data cell
    'template_table'   => '/var/lib/nta/templates/table.html',

    ## Date and datetime format used in generated output files
    ##   See man page of strftime
    'date_date'        => '%Y-%m-%d',
    'date_datetime'    => '%Y-%m-%d %H:%M:%S',

    ## Program name
    'prg_name'         => 'Network Traffic Analyzer',

    ## Program version
    'prg_version'      => '1.0',

    ## Program release date
    'prg_date'         => '2002-01-15',

    ## Program home URL
    'prg_url'          => 'http://nta.kyberdigi.cz/',

    ## Name of author of this program
    'prg_author_name'  => 'C. McCohy',

    ## E-mail of author of this program
    'prg_author_email' => 'mccohy@kyberdigi.cz',

    ## Lockfile (program should be running only at once in a moment)
    'file_lock'        => '/var/run/nta/nta.lock',

    ## Names of files where data will be stored
    ##   You can use full paths if you want
    'file_main'        => '/var/lib/nta/data/main',
    'file_hour'        => '/var/lib/nta/data/hour',
    'file_day'         => '/var/lib/nta/data/day',
    'file_week'        => '/var/lib/nta/data/week',
    'file_month'       => '/var/lib/nta/data/month'

  );

1;
